Subject: Re: bug#37066: Using GOOPS #:allocation #:virtual slot option causes stack overflow

From: Jan <[email-masked]>
Date: Sun, 18 Aug 2019 23:43:30 +0200

Sorry, I sent a private mail, hope this one will be in the right
place.

On Sun, 18 Aug 2019 05:08:53 -0300
David Pirotte <[email-masked]> wrote:

> This is not goops bug. The problem occurs because you try to set the
> value of the virtual slot, something you should never do.

Thank you for explaining, I understand it now.
I don't think eating the whole CPU and RAM and segmentation fault is a
good default behavior though. If this is a thing one should never do,
shouldn't Guile throw an error, warning or whatever?

Jan